Subject: Re: bug#38485: Customizing glyph widths

From: Clément Pit-Claudel <[email-masked]>
Date: Thu, 5 Dec 2019 15:53:00 -0500

On 2019-12-05 15:06, Eli Zaretskii wrote:
>> Cc: [email-masked], [email-masked]
>> From: Clément Pit-Claudel <[email-masked]>
>> Date: Thu, 5 Dec 2019 14:50:54 -0500
>>
>>> Why is "Proof" treated differently from the other symbols?  How would
>>> the user know which one is which?
>>
>> Sorry, I think I don't understand the question :/
> 
> Which part?
> 
> You have shown an example where some prettified symbols are treated
> differently than others, with respect to their width on display.  I'm
> asking why the difference, and how will users know when to ask one
> behavior and when the other.

Thanks, it's clear now.

This is something I'd like to be able to customize for each symbol.
That is, I'd like to be able to say that "forall" should be prettified as "∀", taking one character, and that "~+~" should be prettified as "⨤", taking three characters.
In Elisp, I'd like to say that prettifications from nameless-mode shouldn't be widened, nor lambda.

I expect which behavior to pick will be a matter of preference.  What I do currently in my Emacs is to narrow all characters to one character, by recompiling various fonts to have the right width, but that isn't pleasant.